Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.txoj.common
Class Configuration

    java.lang.Object
      com.arjuna.ats.txoj.common.Configuration

public class Configuration
extends java.lang.Object

Runtime configuration class for this module.

Since:
  JTS 1.0.
Version:
  $Id: Configuration.html,v 1.1 2008/01/04 06:52:41 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`Configuration()`

Method Summary
`static java.lang.String` | `getBuildTimeProperty(java.lang.String name)` Get a build time property.
`static java.lang.String` | `lockStoreRoot()` Used to get the root of the object store.
`static java.lang.String` | `propertiesFile()`
`static void` | `setLockStoreRoot(java.lang.String s)` Used to set the root of the lock store.
`static void` | `setPropertiesFile(java.lang.String file)` Set the name of the properties file.
`static java.lang.String` | `version()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### propertiesFile

    public static final java.lang.String propertiesFile()

  Returns:
    the name of the module properties file to use.

### setPropertiesFile

    public static final void setPropertiesFile(java.lang.String file)

  Set the name of the properties file.

### lockStoreRoot

    public static final java.lang.String lockStoreRoot()

  Used to get the root of the object store.

  Returns:
    `path` to lock store.

### setLockStoreRoot

    public static final void setLockStoreRoot(java.lang.String s)

  Used to set the root of the lock store. Changes will take effect the next time the root is queried. Existing lock store instances will not be effected.

### version

    public static final java.lang.String version()

### getBuildTimeProperty

    public static java.lang.String getBuildTimeProperty(java.lang.String name)

  Get a build time property.

  Parameters:
    `name` - The name of the build time property.
  Returns:
    The build time property value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD